コンテンツへスキップ

Index TTS 2.0

統合

モデルID index-tts-2/text-to-speech
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/index-tts-2/text-to-speech?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "prompt": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

1 回の実行につき最大 $0.06 実際の使用量に応じて課金され、残額は返金されます このページで実行

APIキーを取得
bilibili テキスト読み上げ #text-to-speech

参照音声クリップとテキストから音声を合成し、音声、プロンプト、感情ごとの強度で感情を制御できます

bilibili · 音声

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

生成する音声のプロンプト。

•必須 audio_url
ファイルをドロップ、または

音声を生成するために使用する元の音声ファイル。

詳細設定 emotion_prompt · emotional_audio_url · strength · should_use_prompt_for_emotion · enable_safety_checker · emotional_strengths

`should_use_prompt_for_emotion`も有効にする必要がある感情的なスタイルの指示。

ファイルをドロップ、または

感情的なスタイルの抽出に使用する参照音声ファイル。

デフォルト 1

スタイル転送中に適用する感情の影響度。この強度設定を上げるほど増加します。

細かな調整のための感情ごとの強度値。

POST /run/index-tts-2/text-to-speech?wait=20 見積もり → $0.06
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/index-tts-2/text-to-speech?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "prompt": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Index TTS 2.0について

`audio_url`で指定した参照クリップの声を使い、`prompt`のテキストを発話させます。`emotional_audio_url`の別クリップから感情スタイルを借り、`strength`(0から1)で調整できます。または`emotional_strengths`で設定できます。代わりに`should_use_prompt_for_emotion`を有効にし、任意で`emotion_prompt`を指定できます。音声はbase64オブジェクトとして返されます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
audio_url必須 audio
型url · audio
音声を生成するために使用する元の音声ファイル。
prompt必須
型string
生成する音声のプロンプト。
emotional_audio_url任意
型url · audio
感情的なスタイルの抽出に使用する参照音声ファイル。
strength任意
型number
デフォルト1
0 – 1
スタイル転送中に適用する感情の影響度。この強度設定を上げるほど増加します。
emotional_strengths任意
型object
細かな調整のための感情ごとの強度値。
emotional_strengths.happy任意
型number
デフォルト0
0 – 1
幸福感の強度。
emotional_strengths.angry任意
型number
デフォルト0
0 – 1
怒りの強度。
emotional_strengths.sad任意
型number
デフォルト0
0 – 1
悲しみの強度。
emotional_strengths.afraid任意
型number
デフォルト0
0 – 1
恐怖の強度。
emotional_strengths.disgusted任意
型number
デフォルト0
0 – 1
嫌悪感の強度。
emotional_strengths.melancholic任意
型number
デフォルト0
0 – 1
憂うつの強度。
emotional_strengths.surprised任意
型number
デフォルト0
0 – 1
驚きの強度。
emotional_strengths.calm任意
型number
デフォルト0
0 – 1
穏やかさの強度。
should_use_prompt_for_emotion任意
型boolean | null
デフォルトfalse
有効にすると、プロンプトベースの感情計算が明示的な`emotional_strengths`を置き換えます。感情的なスタイルは、指定されている場合は`emotion_prompt`から、それ以外の場合は`prompt`から取得します。
emotion_prompt任意
型string | null
`should_use_prompt_for_emotion`も有効にする必要がある感情的なスタイルの指示。
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "index-tts-2/text-to-speech",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 60,
    "usd": "0.06",
    "charged": 60,
    "refunded": 0
  },
  "input": {
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "prompt": "Hello from Doitong. This is a short test sentence."
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
audio
object {url, content_type, file_name, file_size}base64形式でエンコードされた生成音声。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/index-tts-2/text-to-speech.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt